libwpg::WPGBitmap::Private Class Reference

## Public Member Functions

| Private (int w, int h)

## Public Attributes

int | width
int | height
int | vRes
int | hRes
bool | vFlip
bool | hFlip
std::unique_ptr< WPGColor[]> | pixels
librevenge::RVNGBinaryData | dib

## Private Member Functions

| Private (const Private &)
Private & | operator= (const Private &)

## Constructor & Destructor Documentation

## Private() [1/2]

libwpg::WPGBitmap::Private::Private | ( | int | w,
|  | int | h )

inline

Referenced by operator=(), and Private().

## Private() [2/2]

libwpg::WPGBitmap::Private::Private | ( | const Private & |  | ) |

private

## Member Function Documentation

## operator=()

Private & libwpg::WPGBitmap::Private::operator= | ( | const Private & |  | ) |

private

## Member Data Documentation

## dib

librevenge::RVNGBinaryData libwpg::WPGBitmap::Private::dib

Referenced by Private().

## height

int libwpg::WPGBitmap::Private::height

Referenced by Private().

## hFlip

bool libwpg::WPGBitmap::Private::hFlip

Referenced by Private().

## hRes

int libwpg::WPGBitmap::Private::hRes

Referenced by Private().

## pixels

std::unique_ptr<WPGColor[]> libwpg::WPGBitmap::Private::pixels

Referenced by Private().

## vFlip

bool libwpg::WPGBitmap::Private::vFlip

Referenced by Private().

## vRes

int libwpg::WPGBitmap::Private::vRes

Referenced by Private().

## width

int libwpg::WPGBitmap::Private::width

Referenced by Private().

The documentation for this class was generated from the following file:

- WPGBitmap.cpp